> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact

> Update an existing contact



## OpenAPI

````yaml patch /contact
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /contact:
    patch:
      tags:
        - Contact
      summary: Update Contact
      description: Update an existing contact
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Contact creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: full_name
          in: query
          description: Name of contact
          schema:
            type: string
        - name: fts
          in: query
          description: Handle of contact
          schema:
            type: string
        - name: is_blocked
          in: query
          description: Is the contact blocked?
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: secondary_external_id
          in: query
          description: Secondary External ID
          schema:
            type: string
        - name: birthday
          in: query
          description: Birthday of the contact
          schema:
            type: string
        - name: salutation
          in: query
          description: Salutation
          schema:
            type: string
        - name: email
          in: query
          description: Email of contact
          schema:
            type: string
        - name: sms
          in: query
          description: SMS of contact
          schema:
            type: string
        - name: whatsapp
          in: query
          description: Whatsapp Number
          schema:
            type: string
        - name: instagram
          in: query
          description: Instagram
          schema:
            type: string
        - name: facebook
          in: query
          description: Facebook
          schema:
            type: string
        - name: display_name
          in: query
          description: Displayed name of contact in the Mateo app
          schema:
            type: string
        - name: google_business_messaging
          in: query
          description: Google business messaging account of contact
          schema:
            type: string
        - name: address_line1
          in: query
          description: First line of the postal address
          schema:
            type: string
        - name: address_line2
          in: query
          description: Second line of the postal address
          schema:
            type: string
        - name: city
          in: query
          description: City of the postal address
          schema:
            type: string
        - name: zipcode
          in: query
          description: Postal code or ZIP code of the address
          schema:
            type: string
        - name: country
          in: query
          description: Country of the postal address
          schema:
            type: string
        - name: postal
          in: query
          description: Postal handle or identifier for the contact
          schema:
            type: string
        - name: number_of_marketing_opt_in_requests
          in: query
          description: Number of marketing opt in requests
          schema:
            type: string
        - name: latest_marketing_opt_in_request_sent_at
          in: query
          description: Latest marketing opt in request sent at
          schema:
            type: string
        - name: campaign_messages_this_month
          in: query
          description: Campaign Messages this month
          schema:
            type: string
        - name: whatsapp_marketing_opt_in
          in: query
          description: WhatsApp marketign opt in
          schema:
            type: string
        - name: sms_marketing_opt_in
          in: query
          description: SMS marketing opt in
          schema:
            type: string
        - name: email_marketing_opt_in
          in: query
          description: Email marketing opt in of contact
          schema:
            type: string
        - name: facebook_marketing_opt_in
          in: query
          description: Facebook marketing opt in
          schema:
            type: string
        - name: instagram_marketing_opt_in
          in: query
          description: Instagram marketing opt in
          schema:
            type: string
        - name: google_business_messaging_marketing_opt_in
          in: query
          description: Google business messaging marketing opt in
          schema:
            type: string
        - name: postal_marketing_opt_in
          in: query
          description: Postal marketing opt in status
          schema:
            type: string
        - name: whatsapp_transactional_opt_in
          in: query
          description: WhatsApp transactional opt in
          schema:
            type: string
        - name: sms_transactional_opt_in
          in: query
          description: SMS transactional opt in
          schema:
            type: string
        - name: email_transactional_opt_in
          in: query
          description: Email transactional opt in
          schema:
            type: string
        - name: facebook_transactional_opt_in
          in: query
          description: Facebook transactional opt in
          schema:
            type: string
        - name: instagram_transactional_opt_in
          in: query
          description: Instagram transactional opt in
          schema:
            type: string
        - name: google_business_messaging_transactional_opt_in
          in: query
          description: Google business messaging transactional opt in
          schema:
            type: string
        - name: postal_transactional_opt_in
          in: query
          description: Postal transactional opt in status
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Contact ID
                  format: uuid
                  default: random uuid
                created_at:
                  type: string
                  description: Contact creation date
                  format: timestamp with time zone
                  default: now()
                updated_at:
                  type: string
                  description: Latest update
                  format: timestamp with time zone
                  default: now()
                organisation_id:
                  type: string
                  description: Organisation ID
                  format: uuid
                full_name:
                  type: string
                  description: Name of contact
                  format: text
                  nullable: true
                fts:
                  type: string
                  description: Handle of contact
                  format: tsvector
                  nullable: true
                is_blocked:
                  type: boolean
                  description: Is the contact blocked?
                  format: boolean
                  default: false
                external_id:
                  type: string
                  description: External ID
                  format: text
                  nullable: true
                secondary_external_id:
                  type: string
                  description: Secondary External ID
                  format: text
                  nullable: true
                birthday:
                  type: string
                  description: Birthday of the contact
                  format: date
                  nullable: true
                salutation:
                  type: string
                  description: Salutation
                  format: text
                  nullable: true
                email:
                  type: string
                  description: Email of contact
                  format: text
                  nullable: true
                sms:
                  type: string
                  description: SMS of contact
                  format: text
                  nullable: true
                whatsapp:
                  type: string
                  description: Whatsapp Number
                  format: text
                  nullable: true
                instagram:
                  type: string
                  description: Instagram
                  format: text
                  nullable: true
                facebook:
                  type: string
                  description: Facebook
                  format: text
                  nullable: true
                google_business_messaging:
                  type: string
                  description: Google business messaging account of contact
                  format: text
                  nullable: true
                address_line1:
                  type: string
                  description: First line of the postal address
                  format: text
                  nullable: true
                address_line2:
                  type: string
                  description: Second line of the postal address
                  format: text
                  nullable: true
                city:
                  type: string
                  description: City of the postal address
                  format: text
                  nullable: true
                zipcode:
                  type: string
                  description: Postal code or ZIP code of the address
                  format: text
                  nullable: true
                country:
                  type: string
                  description: Country of the postal address
                  format: text
                  nullable: true
                postal:
                  type: string
                  description: Postal handle or identifier for the contact
                  format: text
                  nullable: true
                number_of_marketing_opt_in_requests:
                  type: integer
                  description: Number of marketing opt in requests
                  format: integer
                latest_marketing_opt_in_request_sent_at:
                  type: string
                  description: Latest marketing opt in request sent at
                  format: timestamp with time zone
                  nullable: true
                campaign_messages_this_month:
                  type: integer
                  description: Campaign Messages this month
                  format: integer
                whatsapp_marketing_opt_in:
                  type: boolean
                  description: WhatsApp marketign opt in
                  format: boolean
                  default: false
                sms_marketing_opt_in:
                  type: boolean
                  description: SMS marketing opt in
                  format: boolean
                  default: false
                email_marketing_opt_in:
                  type: boolean
                  description: Email marketing opt in of contact
                  format: boolean
                  default: false
                facebook_marketing_opt_in:
                  type: boolean
                  description: Facebook marketing opt in
                  format: boolean
                  default: false
                instagram_marketing_opt_in:
                  type: boolean
                  description: Instagram marketing opt in
                  format: boolean
                  default: false
                google_business_messaging_marketing_opt_in:
                  type: boolean
                  description: Google business messaging marketing opt in
                  format: boolean
                  default: false
                postal_marketing_opt_in:
                  type: boolean
                  description: Postal marketing opt in status
                  format: boolean
                  default: true
                whatsapp_transactional_opt_in:
                  type: string
                  description: WhatsApp transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                sms_transactional_opt_in:
                  type: string
                  description: SMS transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                email_transactional_opt_in:
                  type: string
                  description: Email transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                facebook_transactional_opt_in:
                  type: string
                  description: Facebook transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                instagram_transactional_opt_in:
                  type: string
                  description: Instagram transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                google_business_messaging_transactional_opt_in:
                  type: string
                  description: Google business messaging transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                postal_transactional_opt_in:
                  type: string
                  description: Postal transactional opt in status
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
        description: contact
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contact'
          description: The updated Contact object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    contact:
      type: object
      properties:
        id:
          type: string
          description: Contact ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Contact creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        full_name:
          type: string
          description: Name of contact
          format: text
          nullable: true
        fts:
          type: string
          description: Handle of contact
          format: tsvector
          nullable: true
        is_blocked:
          type: boolean
          description: Is the contact blocked?
          format: boolean
          default: false
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        secondary_external_id:
          type: string
          description: Secondary External ID
          format: text
          nullable: true
        birthday:
          type: string
          description: Birthday of the contact
          format: date
          nullable: true
        salutation:
          type: string
          description: Salutation
          format: text
          nullable: true
        email:
          type: string
          description: Email of contact
          format: text
          nullable: true
        sms:
          type: string
          description: SMS of contact
          format: text
          nullable: true
        whatsapp:
          type: string
          description: Whatsapp Number
          format: text
          nullable: true
        instagram:
          type: string
          description: Instagram
          format: text
          nullable: true
        facebook:
          type: string
          description: Facebook
          format: text
          nullable: true
        display_name:
          type: string
          description: Displayed name of contact in the Mateo app
          format: text
          nullable: true
        google_business_messaging:
          type: string
          description: Google business messaging account of contact
          format: text
          nullable: true
        address_line1:
          type: string
          description: First line of the postal address
          format: text
          nullable: true
        address_line2:
          type: string
          description: Second line of the postal address
          format: text
          nullable: true
        city:
          type: string
          description: City of the postal address
          format: text
          nullable: true
        zipcode:
          type: string
          description: Postal code or ZIP code of the address
          format: text
          nullable: true
        country:
          type: string
          description: Country of the postal address
          format: text
          nullable: true
        postal:
          type: string
          description: Postal handle or identifier for the contact
          format: text
          nullable: true
        number_of_marketing_opt_in_requests:
          type: integer
          description: Number of marketing opt in requests
          format: integer
        latest_marketing_opt_in_request_sent_at:
          type: string
          description: Latest marketing opt in request sent at
          format: timestamp with time zone
          nullable: true
        campaign_messages_this_month:
          type: integer
          description: Campaign Messages this month
          format: integer
        whatsapp_marketing_opt_in:
          type: boolean
          description: WhatsApp marketign opt in
          format: boolean
          default: false
        sms_marketing_opt_in:
          type: boolean
          description: SMS marketing opt in
          format: boolean
          default: false
        email_marketing_opt_in:
          type: boolean
          description: Email marketing opt in of contact
          format: boolean
          default: false
        facebook_marketing_opt_in:
          type: boolean
          description: Facebook marketing opt in
          format: boolean
          default: false
        instagram_marketing_opt_in:
          type: boolean
          description: Instagram marketing opt in
          format: boolean
          default: false
        google_business_messaging_marketing_opt_in:
          type: boolean
          description: Google business messaging marketing opt in
          format: boolean
          default: false
        postal_marketing_opt_in:
          type: boolean
          description: Postal marketing opt in status
          format: boolean
          default: true
        whatsapp_transactional_opt_in:
          type: string
          description: WhatsApp transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        sms_transactional_opt_in:
          type: string
          description: SMS transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        email_transactional_opt_in:
          type: string
          description: Email transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        facebook_transactional_opt_in:
          type: string
          description: Facebook transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        instagram_transactional_opt_in:
          type: string
          description: Instagram transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        google_business_messaging_transactional_opt_in:
          type: string
          description: Google business messaging transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        postal_transactional_opt_in:
          type: string
          description: Postal transactional opt in status
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````